{
  "x-generator": "On Key REST API Docs Generator",
  "swagger": "2.0",
  "info": {
    "title": "On Key SYSTEM  API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "host": "<variable>:443",
  "basePath": "/api/tenants/{client}/{connection}",
  "schemes": [
    "https"
  ],
  "consumes": [
    "application/vnd.onkey.entitydelete+json",
    "application/vnd.onkey.entitydeletecollection+json",
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.entityexistscheckcollection+json",
    "multipart/form-data",
    "text/csv",
    "application/vnd.onkey.entityimportcollection+json",
    "application/vnd.onkey.entitypatch+json",
    "application/vnd.onkey.entitypatchcollection+json"
  ],
  "produces": [
    "application/vnd.onkey.entity+json",
    "application/vnd.onkey.notification+json",
    "application/vnd.onkey.entitycollection+json",
    "application/vnd.onkey.entitycollectionpage+json",
    "application/vnd.onkey.entityexistscheckresultcollection+json",
    "text/csv",
    "application/vnd.onkey.licence+lic",
    "application/vnd.onkey.licencerequest+qlic"
  ],
  "paths": {
    "/Modules/SYSTEM/BackgroundTasks/{id}": {
      "get": {
        "tags": [
          "Background Task"
        ],
        "summary": "Get a Background Task resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | BackgroundTask->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | BackgroundTask->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | BackgroundTask->CreatedByUser_FullName | string |  |\r\n| createdOn | BackgroundTask->CreatedOn | string | date-time |\r\n| modifiedByUserId | BackgroundTask->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | BackgroundTask->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | BackgroundTask->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | BackgroundTask->ModifiedOn | string | date-time |\r\n| version | BackgroundTask->Version | integer | int32 |\r\n| id | BackgroundTask->Id | integer | int64 |\r\n| alerted | BackgroundTask->Alerted | boolean |  |\r\n| averageTimePerStep | BackgroundTask->AverageTimePerStep | string | duration |\r\n| completedOn | BackgroundTask->CompletedOn | string | date-time |\r\n| completedSteps | BackgroundTask->CompletedSteps | integer | int32 |\r\n| elapsedTime | BackgroundTask->ElapsedTime | string | duration |\r\n| estimatedCompletion | BackgroundTask->EstimatedCompletion | string | date-time |\r\n| estimatedTimeRemaining | BackgroundTask->EstimatedTimeRemaining | string | duration |\r\n| failedSteps | BackgroundTask->FailedSteps | integer | int32 |\r\n| name | BackgroundTask->Name | string |  |\r\n| origin | BackgroundTask->Origin | string (Allowed values: [User, Job]) | enum |\r\n| priority | BackgroundTask->Priority | integer | int32 |\r\n| remainingSteps | BackgroundTask->RemainingSteps | integer | int32 |\r\n| skippedSteps | BackgroundTask->SkippedSteps | integer | int32 |\r\n| startedOn | BackgroundTask->StartedOn | string | date-time |\r\n| status | BackgroundTask->Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| totalSteps | BackgroundTask->TotalSteps | integer | int32 |\r\n| trace | BackgroundTask->Trace | object |  |\r\n| type | BackgroundTask->Type | string |  |\r\n",
        "operationId": "GetBackgroundTask",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Background Task",
            "schema": {
              "$ref": "#/definitions/GetBackgroundTaskResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      },
      "delete": {
        "tags": [
          "Background Task"
        ],
        "summary": "Delete an existing Background Task resource.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| version | BackgroundTask->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "DeleteBackgroundTask",
        "consumes": [
          "application/vnd.onkey.entitydelete+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "name": "delete",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/DeleteBackgroundTaskResourceActionRequest"
            }
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Background Task was successfully deleted"
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/{id}/Errors": {
      "get": {
        "tags": [
          "Background Task"
        ],
        "summary": "Get a collection of Background Task Error resources for the Background Task.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTaskError->Id | integer | int64 |\r\n| code | BackgroundTaskError->Code | string |  |\r\n| completedOn | BackgroundTaskError->CompletedOn | string | date-time |\r\n| objectType | BackgroundTaskError->ObjectType | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n| message | BackgroundTaskError->Message | string | memo |\r\n| type | BackgroundTaskError->Type | string |  |\r\n| objectId | BackgroundTaskError->ObjectId | integer | int64 |\r\n| sequenceNumber | BackgroundTaskError->SequenceNumber | integer | int32 |\r\n| severity | BackgroundTaskError->Severity | string |  |\r\n| startedOn | BackgroundTaskError->StartedOn | string | date-time |\r\n| createdByUserId | BackgroundTaskError->CreatedByUserId | integer | int64 |\r\n",
        "operationId": "GetBackgroundTaskErrorList",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "format": "int64",
            "x-nullable": false
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Background Task collection",
            "schema": {
              "$ref": "#/definitions/GetBackgroundTaskErrorListResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks": {
      "get": {
        "tags": [
          "Background Task"
        ],
        "summary": "Get a collection of Background Task resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTask->Id | integer | int64 |\r\n| name | BackgroundTask->Name | string |  |\r\n| type | BackgroundTask->Type | string |  |\r\n| priority | BackgroundTask->Priority | integer | int32 |\r\n| origin | BackgroundTask->Origin | string (Allowed values: [User, Job]) | enum |\r\n| status | BackgroundTask->Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| alerted | BackgroundTask->Alerted | boolean |  |\r\n| createdOn | BackgroundTask->CreatedOn | string | date-time |\r\n| modifiedOn | BackgroundTask->ModifiedOn | string | date-time |\r\n| startedOn | BackgroundTask->StartedOn | string | date-time |\r\n| completedOn | BackgroundTask->CompletedOn | string | date-time |\r\n| totalSteps | BackgroundTask->TotalSteps | integer | int32 |\r\n| failedSteps | BackgroundTask->FailedSteps | integer | int32 |\r\n| completedSteps | BackgroundTask->CompletedSteps | integer | int32 |\r\n| remainingSteps | BackgroundTask->RemainingSteps | integer | int32 |\r\n| skippedSteps | BackgroundTask->SkippedSteps | integer | int32 |\r\n| elapsedTime | BackgroundTask->ElapsedTime | string | duration |\r\n| averageTimePerStep | BackgroundTask->AverageTimePerStep | string | duration |\r\n| estimatedTimeRemaining | BackgroundTask->EstimatedTimeRemaining | string | duration |\r\n| estimatedCompletion | BackgroundTask->EstimatedCompletion | string | date-time |\r\n| version | BackgroundTask->Version | integer | int32 |\r\n",
        "operationId": "GetBackgroundTaskCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Background Task collection",
            "schema": {
              "$ref": "#/definitions/GetBackgroundTaskCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/{backgroundTaskId}/Steps": {
      "get": {
        "tags": [
          "Background Task"
        ],
        "summary": "Get a collection of Background Task Step resources for the Background Task.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTaskStep->Id | integer | int64 |\r\n| name | BackgroundTaskStep->Name | string |  |\r\n| backgroundTaskId | BackgroundTaskStep->BackgroundTask_Id | integer | int64 |\r\n| backgroundTaskName | BackgroundTaskStep->BackgroundTask_Name | string |  |\r\n| backgroundTaskType | BackgroundTaskStep->BackgroundTask_Type | string |  |\r\n| backgroundTaskStatus | BackgroundTaskStep->BackgroundTask_Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| backgroundTaskOrigin | BackgroundTaskStep->BackgroundTask_Origin | string (Allowed values: [User, Job]) | enum |\r\n| createdOn | BackgroundTaskStep->CreatedOn | string | date-time |\r\n| modifiedOn | BackgroundTaskStep->ModifiedOn | string | date-time |\r\n| startedOn | BackgroundTaskStep->StartedOn | string | date-time |\r\n| completedOn | BackgroundTaskStep->CompletedOn | string | date-time |\r\n| sequenceNumber | BackgroundTaskStep->SequenceNumber | integer | int32 |\r\n| response | BackgroundTaskStep->Response | object |  |\r\n| isValid | BackgroundTaskStep->IsValid | boolean |  |\r\n",
        "operationId": "GetBackgroundTaskStepForBackgroundTaskCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "backgroundTaskId",
            "in": "path",
            "required": true,
            "description": "Background Task Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Background Task collection",
            "schema": {
              "$ref": "#/definitions/GetBackgroundTaskStepForBackgroundTaskCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/Batch/{ids}": {
      "get": {
        "tags": [
          "Background Task"
        ],
        "summary": "Get a collection of Background Task resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | BackgroundTask->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | BackgroundTask->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | BackgroundTask->CreatedByUser_FullName | string |  |\r\n| createdOn | BackgroundTask->CreatedOn | string | date-time |\r\n| modifiedByUserId | BackgroundTask->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | BackgroundTask->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | BackgroundTask->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | BackgroundTask->ModifiedOn | string | date-time |\r\n| version | BackgroundTask->Version | integer | int32 |\r\n| id | BackgroundTask->Id | integer | int64 |\r\n| alerted | BackgroundTask->Alerted | boolean |  |\r\n| averageTimePerStep | BackgroundTask->AverageTimePerStep | string | duration |\r\n| completedOn | BackgroundTask->CompletedOn | string | date-time |\r\n| completedSteps | BackgroundTask->CompletedSteps | integer | int32 |\r\n| elapsedTime | BackgroundTask->ElapsedTime | string | duration |\r\n| estimatedCompletion | BackgroundTask->EstimatedCompletion | string | date-time |\r\n| estimatedTimeRemaining | BackgroundTask->EstimatedTimeRemaining | string | duration |\r\n| failedSteps | BackgroundTask->FailedSteps | integer | int32 |\r\n| name | BackgroundTask->Name | string |  |\r\n| origin | BackgroundTask->Origin | string (Allowed values: [User, Job]) | enum |\r\n| priority | BackgroundTask->Priority | integer | int32 |\r\n| remainingSteps | BackgroundTask->RemainingSteps | integer | int32 |\r\n| skippedSteps | BackgroundTask->SkippedSteps | integer | int32 |\r\n| startedOn | BackgroundTask->StartedOn | string | date-time |\r\n| status | BackgroundTask->Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| totalSteps | BackgroundTask->TotalSteps | integer | int32 |\r\n| trace | BackgroundTask->Trace | object |  |\r\n| type | BackgroundTask->Type | string |  |\r\n",
        "operationId": "BatchGetBackgroundTask",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Background Task id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Background Task collection",
            "schema": {
              "$ref": "#/definitions/BatchGetBackgroundTaskResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/Batch": {
      "delete": {
        "tags": [
          "Background Task"
        ],
        "summary": "Delete a collection of existing Background Task resources.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTask->Id | integer | int64 |\r\n| version | BackgroundTask->Version | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| id | Required | True |  |\r\n| id | Nullable | False |  |\r\n| version | Required | True |  |\r\n| version | Nullable | False |  |\r\n\r\n",
        "operationId": "BatchDeleteBackgroundTask",
        "consumes": [
          "application/vnd.onkey.entitydeletecollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "deletes",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BatchDeleteBackgroundTaskResourceActionRequest"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          },
          {
            "$ref": "#/parameters/Schedule"
          },
          {
            "$ref": "#/parameters/ExecutionMode"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - Background Task batch was successfully deleted"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/Batch/{ids}/Cancel": {
      "post": {
        "tags": [
          "Background Task"
        ],
        "summary": "Cancel the work registered for the collection of Background Task resources.",
        "description": "",
        "operationId": "BatchCancelBackgroundTask",
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Background Task id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/CreateLoad/Bulk": {
      "post": {
        "tags": [
          "Background Task"
        ],
        "summary": "Bulk create Background Task load.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| injectDomainEventFaults | BulkCreateBackgroundTaskLoad->InjectDomainEventFaults | boolean |  |\r\n| injectFaults | BulkCreateBackgroundTaskLoad->InjectFaults | boolean |  |\r\n| loadInterval | BulkCreateBackgroundTaskLoad->LoadInterval | string | duration |\r\n| maximumDelay | BulkCreateBackgroundTaskLoad->MaximumDelay | string | duration |\r\n| maximumPriority | BulkCreateBackgroundTaskLoad->MaximumPriority | integer | int32 |\r\n| maximumStepCount | BulkCreateBackgroundTaskLoad->MaximumStepCount | integer | int32 |\r\n| minimumDelay | BulkCreateBackgroundTaskLoad->MinimumDelay | string | duration |\r\n| minimumPriority | BulkCreateBackgroundTaskLoad->MinimumPriority | integer | int32 |\r\n| minimumStepCount | BulkCreateBackgroundTaskLoad->MinimumStepCount | integer | int32 |\r\n| randomUsers | BulkCreateBackgroundTaskLoad->RandomUsers | boolean |  |\r\n| simulateChangeDataSubscriptions | BulkCreateBackgroundTaskLoad->SimulateChangeDataSubscriptions | boolean |  |\r\n| simulateChangeDataTriggers | BulkCreateBackgroundTaskLoad->SimulateChangeDataTriggers | boolean |  |\r\n| simulateChangeLog | BulkCreateBackgroundTaskLoad->SimulateChangeLog | boolean |  |\r\n| simulateDomainEvents | BulkCreateBackgroundTaskLoad->SimulateDomainEvents | boolean |  |\r\n| taskCount | BulkCreateBackgroundTaskLoad->TaskCount | integer | int32 |\r\n| userCount | BulkCreateBackgroundTaskLoad->UserCount | integer | int32 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n\r\n",
        "operationId": "BulkCreateBackgroundTaskLoad",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/BulkCreateBackgroundTaskLoadResourceActionRequest"
            }
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/{id}/Cancel": {
      "post": {
        "tags": [
          "Background Task"
        ],
        "summary": "Cancel the work registered for the Background Task resource.",
        "description": "",
        "operationId": "CancelBackgroundTask",
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Async"
          },
          {
            "$ref": "#/parameters/AsyncDescription"
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "description": "Request was successfully registered for asynchronous execution using a Background Task",
            "headers": {
              "OnKey-Request-Id": {
                "type": "integer",
                "description": "Request id for the Background Task created",
                "format": "Int64"
              },
              "OnKey-Request-Location": {
                "type": "string",
                "description": "URI to poll for the asynchronous execution status of the request"
              }
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/CreateLoad": {
      "post": {
        "tags": [
          "Background Task"
        ],
        "summary": "Create Background Task load.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| injectDomainEventFaults | CreateBackgroundTaskLoad->InjectDomainEventFaults | boolean |  |\r\n| injectFaults | CreateBackgroundTaskLoad->InjectFaults | boolean |  |\r\n| maximumDelay | CreateBackgroundTaskLoad->MaximumDelay | string | duration |\r\n| minimumDelay | CreateBackgroundTaskLoad->MinimumDelay | string | duration |\r\n| origin | CreateBackgroundTaskLoad->Origin | string (Allowed values: [User, Job]) | enum |\r\n| priority | CreateBackgroundTaskLoad->Priority | integer | int32 |\r\n| simulateChangeDataSubscriptions | CreateBackgroundTaskLoad->SimulateChangeDataSubscriptions | boolean |  |\r\n| simulateChangeDataTriggers | CreateBackgroundTaskLoad->SimulateChangeDataTriggers | boolean |  |\r\n| simulateChangeLog | CreateBackgroundTaskLoad->SimulateChangeLog | boolean |  |\r\n| simulateDomainEvents | CreateBackgroundTaskLoad->SimulateDomainEvents | boolean |  |\r\n| stepCount | CreateBackgroundTaskLoad->StepCount | integer | int64 |\r\n| taskName | CreateBackgroundTaskLoad->TaskName | string |  |\r\n| userId | CreateBackgroundTaskLoad->UserId | integer | int64 |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n\r\n",
        "operationId": "CreateBackgroundTaskLoad",
        "consumes": [
          "application/vnd.onkey.entity+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "post",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/CreateBackgroundTaskLoadResourceActionRequest"
            }
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/Steps/{id}": {
      "get": {
        "tags": [
          "Background Task Step"
        ],
        "summary": "Get a Background Task Step resource.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | BackgroundTaskStep->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | BackgroundTaskStep->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | BackgroundTaskStep->CreatedByUser_FullName | string |  |\r\n| createdOn | BackgroundTaskStep->CreatedOn | string | date-time |\r\n| modifiedByUserId | BackgroundTaskStep->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | BackgroundTaskStep->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | BackgroundTaskStep->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | BackgroundTaskStep->ModifiedOn | string | date-time |\r\n| version | BackgroundTaskStep->Version | integer | int32 |\r\n| id | BackgroundTaskStep->Id | integer | int64 |\r\n| backgroundTaskId | BackgroundTaskStep->BackgroundTask_Id | integer | int64 |\r\n| backgroundTaskCompletedSteps | BackgroundTaskStep->BackgroundTask_CompletedSteps | integer | int32 |\r\n| backgroundTaskCompletedOn | BackgroundTaskStep->BackgroundTask_CompletedOn | string | date-time |\r\n| backgroundTaskFailedSteps | BackgroundTaskStep->BackgroundTask_FailedSteps | integer | int32 |\r\n| backgroundTaskCreatedByUserId | BackgroundTaskStep->BackgroundTask_CreatedByUser_Id | integer | int64 |\r\n| backgroundTaskCreatedByUserCode | BackgroundTaskStep->BackgroundTask_CreatedByUser_Code | string |  |\r\n| backgroundTaskCreatedByUserFullName | BackgroundTaskStep->BackgroundTask_CreatedByUser_FullName | string |  |\r\n| backgroundTaskName | BackgroundTaskStep->BackgroundTask_Name | string |  |\r\n| backgroundTaskOrigin | BackgroundTaskStep->BackgroundTask_Origin | string (Allowed values: [User, Job]) | enum |\r\n| backgroundTaskPriority | BackgroundTaskStep->BackgroundTask_Priority | integer | int32 |\r\n| backgroundTaskSkippedSteps | BackgroundTaskStep->BackgroundTask_SkippedSteps | integer | int32 |\r\n| backgroundTaskStartedOn | BackgroundTaskStep->BackgroundTask_StartedOn | string | date-time |\r\n| backgroundTaskStatus | BackgroundTaskStep->BackgroundTask_Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| backgroundTaskTotalSteps | BackgroundTaskStep->BackgroundTask_TotalSteps | integer | int32 |\r\n| backgroundTaskTrace | BackgroundTaskStep->BackgroundTask_Trace | object |  |\r\n| backgroundTaskType | BackgroundTaskStep->BackgroundTask_Type | string |  |\r\n| backgroundTaskCreatedOn | BackgroundTaskStep->BackgroundTaskCreatedOn | string | date-time |\r\n| completedOn | BackgroundTaskStep->CompletedOn | string | date-time |\r\n| origin | BackgroundTaskStep->Origin | string (Allowed values: [User, Job]) | enum |\r\n| isValid | BackgroundTaskStep->IsValid | boolean |  |\r\n| name | BackgroundTaskStep->Name | string |  |\r\n| priority | BackgroundTaskStep->Priority | integer | int32 |\r\n| request | BackgroundTaskStep->Request | object |  |\r\n| requestJson | BackgroundTaskStep->RequestJson | string |  |\r\n| requestType | BackgroundTaskStep->RequestType | object |  |\r\n| requestTypeFullName | BackgroundTaskStep->RequestTypeFullName | string |  |\r\n| response | BackgroundTaskStep->Response | object |  |\r\n| sequenceNumber | BackgroundTaskStep->SequenceNumber | integer | int32 |\r\n| skipped | BackgroundTaskStep->Skipped | boolean |  |\r\n| startedOn | BackgroundTaskStep->StartedOn | string | date-time |\r\n| trace | BackgroundTaskStep->Trace | object |  |\r\n",
        "operationId": "GetBackgroundTaskStep",
        "produces": [
          "application/vnd.onkey.entity+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Background Task Step Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Background Task Step",
            "schema": {
              "$ref": "#/definitions/GetBackgroundTaskStepResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/Steps": {
      "get": {
        "tags": [
          "Background Task Step"
        ],
        "summary": "Get a collection of Background Task Step resources.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | BackgroundTaskStep->Id | integer | int64 |\r\n| name | BackgroundTaskStep->Name | string |  |\r\n| backgroundTaskId | BackgroundTaskStep->BackgroundTask_Id | integer | int64 |\r\n| backgroundTaskName | BackgroundTaskStep->BackgroundTask_Name | string |  |\r\n| backgroundTaskStatus | BackgroundTaskStep->BackgroundTask_Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| backgroundTaskOrigin | BackgroundTaskStep->BackgroundTask_Origin | string (Allowed values: [User, Job]) | enum |\r\n| createdOn | BackgroundTaskStep->CreatedOn | string | date-time |\r\n| modifiedOn | BackgroundTaskStep->ModifiedOn | string | date-time |\r\n| startedOn | BackgroundTaskStep->StartedOn | string | date-time |\r\n| completedOn | BackgroundTaskStep->CompletedOn | string | date-time |\r\n| sequenceNumber | BackgroundTaskStep->SequenceNumber | integer | int32 |\r\n| response | BackgroundTaskStep->Response | object |  |\r\n| isValid | BackgroundTaskStep->IsValid | boolean |  |\r\n",
        "operationId": "GetBackgroundTaskStepCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Background Task Step collection",
            "schema": {
              "$ref": "#/definitions/GetBackgroundTaskStepCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/BackgroundTasks/Steps/Batch/{ids}": {
      "get": {
        "tags": [
          "Background Task Step"
        ],
        "summary": "Get a collection of Background Task Step resources for the set of id's.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| createdByUserId | BackgroundTaskStep->CreatedByUser_Id | integer | int64 |\r\n| createdByUserCode | BackgroundTaskStep->CreatedByUser_Code | string |  |\r\n| createdByUserFullName | BackgroundTaskStep->CreatedByUser_FullName | string |  |\r\n| createdOn | BackgroundTaskStep->CreatedOn | string | date-time |\r\n| modifiedByUserId | BackgroundTaskStep->ModifiedByUser_Id | integer | int64 |\r\n| modifiedByUserCode | BackgroundTaskStep->ModifiedByUser_Code | string |  |\r\n| modifiedByUserFullName | BackgroundTaskStep->ModifiedByUser_FullName | string |  |\r\n| modifiedOn | BackgroundTaskStep->ModifiedOn | string | date-time |\r\n| version | BackgroundTaskStep->Version | integer | int32 |\r\n| id | BackgroundTaskStep->Id | integer | int64 |\r\n| backgroundTaskId | BackgroundTaskStep->BackgroundTask_Id | integer | int64 |\r\n| backgroundTaskCompletedSteps | BackgroundTaskStep->BackgroundTask_CompletedSteps | integer | int32 |\r\n| backgroundTaskCompletedOn | BackgroundTaskStep->BackgroundTask_CompletedOn | string | date-time |\r\n| backgroundTaskFailedSteps | BackgroundTaskStep->BackgroundTask_FailedSteps | integer | int32 |\r\n| backgroundTaskCreatedByUserId | BackgroundTaskStep->BackgroundTask_CreatedByUser_Id | integer | int64 |\r\n| backgroundTaskCreatedByUserCode | BackgroundTaskStep->BackgroundTask_CreatedByUser_Code | string |  |\r\n| backgroundTaskCreatedByUserFullName | BackgroundTaskStep->BackgroundTask_CreatedByUser_FullName | string |  |\r\n| backgroundTaskName | BackgroundTaskStep->BackgroundTask_Name | string |  |\r\n| backgroundTaskOrigin | BackgroundTaskStep->BackgroundTask_Origin | string (Allowed values: [User, Job]) | enum |\r\n| backgroundTaskPriority | BackgroundTaskStep->BackgroundTask_Priority | integer | int32 |\r\n| backgroundTaskSkippedSteps | BackgroundTaskStep->BackgroundTask_SkippedSteps | integer | int32 |\r\n| backgroundTaskStartedOn | BackgroundTaskStep->BackgroundTask_StartedOn | string | date-time |\r\n| backgroundTaskStatus | BackgroundTaskStep->BackgroundTask_Status | string (Allowed values: [NotStarted, Running, Completed, Cancelling, Cancelled, Aborting, Aborted]) | enum |\r\n| backgroundTaskTotalSteps | BackgroundTaskStep->BackgroundTask_TotalSteps | integer | int32 |\r\n| backgroundTaskTrace | BackgroundTaskStep->BackgroundTask_Trace | object |  |\r\n| backgroundTaskType | BackgroundTaskStep->BackgroundTask_Type | string |  |\r\n| backgroundTaskCreatedOn | BackgroundTaskStep->BackgroundTaskCreatedOn | string | date-time |\r\n| completedOn | BackgroundTaskStep->CompletedOn | string | date-time |\r\n| origin | BackgroundTaskStep->Origin | string (Allowed values: [User, Job]) | enum |\r\n| isValid | BackgroundTaskStep->IsValid | boolean |  |\r\n| name | BackgroundTaskStep->Name | string |  |\r\n| priority | BackgroundTaskStep->Priority | integer | int32 |\r\n| request | BackgroundTaskStep->Request | object |  |\r\n| requestJson | BackgroundTaskStep->RequestJson | string |  |\r\n| requestType | BackgroundTaskStep->RequestType | object |  |\r\n| requestTypeFullName | BackgroundTaskStep->RequestTypeFullName | string |  |\r\n| response | BackgroundTaskStep->Response | object |  |\r\n| sequenceNumber | BackgroundTaskStep->SequenceNumber | integer | int32 |\r\n| skipped | BackgroundTaskStep->Skipped | boolean |  |\r\n| startedOn | BackgroundTaskStep->StartedOn | string | date-time |\r\n| trace | BackgroundTaskStep->Trace | object |  |\r\n",
        "operationId": "BatchGetBackgroundTaskStep",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "array",
            "name": "ids",
            "in": "path",
            "required": true,
            "description": "A comma separated list of Background Task Step id's (eg. 1585760985950002,1585760985950003)",
            "collectionFormat": "csv",
            "x-nullable": false,
            "items": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "$ref": "#/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Background Task Step collection",
            "schema": {
              "$ref": "#/definitions/BatchGetBackgroundTaskStepResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/ChangeLog/Records": {
      "get": {
        "tags": [
          "Change Log"
        ],
        "summary": "Get a collection of Change Log resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RecordChange->Id | integer | int64 |\r\n| persistedOn | RecordChange->PersistedOn | string | date-time |\r\n| changedOn | RecordChange->ChangedOn | string | date-time |\r\n| userId | RecordChange->User_Id | integer | int64 |\r\n| userCode | RecordChange->User_Code | string |  |\r\n| userFullName | RecordChange->User_FullName | string |  |\r\n| entityId | RecordChange->EntityId | integer | int64 |\r\n| entityType | RecordChange->EntityType | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n| entityChangeType | RecordChange->EntityChangeType | string (Allowed values: [Created, Updated, Deleted]) | enum |\r\n| entityVersion | RecordChange->EntityVersion | integer | int32 |\r\n| requestTypes | RecordChange->RequestTypes | array | array |\r\n| traceId | RecordChange->TraceId | string |  |\r\n| requestStepId | RecordChange->RequestStepId | string | uuid |\r\n",
        "operationId": "GetRecordChangeCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Change Log collection",
            "schema": {
              "$ref": "#/definitions/GetRecordChangeCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/ChangeLog/Records/Values": {
      "get": {
        "tags": [
          "Change Log"
        ],
        "summary": "Get a collection of Record Change Value resources",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| propertyId | RecordChangeValue->Property_Id | integer | int64 |\r\n| propertyPropertyPath | RecordChangeValue->Property_PropertyPath | string |  |\r\n| oldValue | RecordChangeValue->OldValue | string |  |\r\n| newValue | RecordChangeValue->NewValue | string |  |\r\n| recordChangeId | RecordChangeValue->RecordChange_Id | integer | int64 |\r\n| recordChangeEntityId | RecordChangeValue->RecordChange_EntityId | integer | int64 |\r\n| recordChangeUserId | RecordChangeValue->RecordChange_User_Id | integer | int64 |\r\n| recordChangeUserCode | RecordChangeValue->RecordChange_User_Code | string |  |\r\n| recordChangeUserFullName | RecordChangeValue->RecordChange_User_FullName | string |  |\r\n",
        "operationId": "GetRecordChangeValueCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Change Log collection",
            "schema": {
              "$ref": "#/definitions/GetRecordChangeValueCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/ChangeLog/Records/{recordChangeId}/Values": {
      "get": {
        "tags": [
          "Change Log"
        ],
        "summary": "Get a collection of Record Change Value resources for a Change Log",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| propertyId | RecordChangeValue->Property_Id | integer | int64 |\r\n| propertyPropertyPath | RecordChangeValue->Property_PropertyPath | string |  |\r\n| oldValue | RecordChangeValue->OldValue | string |  |\r\n| newValue | RecordChangeValue->NewValue | string |  |\r\n| recordChangeId | RecordChangeValue->RecordChange_Id | integer | int64 |\r\n",
        "operationId": "GetRecordChangeValueFromRecordChangeCollection",
        "produces": [
          "application/vnd.onkey.entitycollectionpage+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "type": "integer",
            "name": "recordChangeId",
            "in": "path",
            "required": true,
            "description": "Change Log Id",
            "format": "int64",
            "x-nullable": false
          },
          {
            "$ref": "#/parameters/Select"
          },
          {
            "$ref": "#/parameters/Filter"
          },
          {
            "$ref": "#/parameters/Param"
          },
          {
            "$ref": "#/parameters/Top"
          },
          {
            "$ref": "#/parameters/Skip"
          },
          {
            "$ref": "#/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains pageable Change Log collection",
            "schema": {
              "$ref": "#/definitions/GetRecordChangeValueFromRecordChangeCollectionResourceActionResponse"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/ChangeLog/Records/Values/References": {
      "post": {
        "tags": [
          "Change Log"
        ],
        "summary": "Get a list of Record Change Value Reference Value resources",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| ids | RecordChangeValuePathIds->Ids | array | array |\r\n| propertyPath | RecordChangeValuePathIds->PropertyPath | string |  |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n\r\n\n### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| id | RecordChangeValueReferenceValue->Id | integer | int64 |\r\n| propertyPath | RecordChangeValueReferenceValue->PropertyPath | string |  |\r\n| valuePropertyPath | RecordChangeValueReferenceValue->ValuePropertyPath | string |  |\r\n| value | RecordChangeValueReferenceValue->Value | string |  |\r\n",
        "operationId": "GetRecordChangeValueReferenceCollection",
        "consumes": [
          "application/vnd.onkey.entitycollection+json"
        ],
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "posts",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/GetRecordChangeValueReferenceCollectionResourceActionRequest"
            }
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - body contains Change Log collection",
            "schema": {
              "$ref": "#/definitions/GetRecordChangeValueReferenceCollectionResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/DelayedSideEffects/Summary": {
      "get": {
        "tags": [
          "Delayed Side Effects"
        ],
        "summary": "Get a count of the outstanding number of delayed side effects for each delayed side effect type.",
        "description": "### <a name='response'></a> Response Body\r\n#### Payload\r\n\r\nThe response body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| entityType | DelayedSideEffectSummary->EntityType | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n| queued | DelayedSideEffectSummary->Queued | integer | int64 |\r\n| reason | DelayedSideEffectSummary->Reason | string (Allowed values: [BuildTreePath, CalculateMeterAdr, CalculatePermissionSet, CalculateUserPermissions, GenerateDueTasks, GeneratePredictedMeterReadings, UpdateTaskIsInitialised, UpdateTaskIsReadyForScheduling, WorkOrderTaskGenerated, RegisterCostingItemsForBudgets, RecalculateBudgetAmounts, CalculatedMonitoringPoints, EvaluateMonitoringPointExpressions, EvaluateMonitoringPointBounds, CalculateUserTermsAndConditionVersions, ServiceLevelAgreementPreCalculateStatusDurationUsed]) | enum |\r\n",
        "operationId": "GetDelayedSideEffectSummaryList",
        "produces": [
          "application/vnd.onkey.entitycollection+json",
          "application/vnd.onkey.notification+json"
        ],
        "responses": {
          "200": {
            "x-nullable": true,
            "description": "Success response - body contains Delayed Side Effects collection",
            "schema": {
              "$ref": "#/definitions/GetDelayedSideEffectSummaryListResourceAction"
            }
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/DelayedSideEffects/Execute": {
      "post": {
        "tags": [
          "Delayed Side Effects"
        ],
        "summary": "Execute the jobs associated with the delayed side effects.",
        "description": "### <a name='request'></a> Request Body\r\n#### Payload\r\n\r\nThe request body can contain the following properties:\r\n\r\n| Name | Path | Type | Format |\r\n| ---- | ---- | ---- | ---- |\r\n| reason | DelayedSideEffectSummary->Reason | string (Allowed values: [BuildTreePath, CalculateMeterAdr, CalculatePermissionSet, CalculateUserPermissions, GenerateDueTasks, GeneratePredictedMeterReadings, UpdateTaskIsInitialised, UpdateTaskIsReadyForScheduling, WorkOrderTaskGenerated, RegisterCostingItemsForBudgets, RecalculateBudgetAmounts, CalculatedMonitoringPoints, EvaluateMonitoringPointExpressions, EvaluateMonitoringPointBounds, CalculateUserTermsAndConditionVersions, ServiceLevelAgreementPreCalculateStatusDurationUsed]) | enum |\r\n| entityType | DelayedSideEffectSummary->EntityType | string (Allowed values: [Alarm, NewAlarm, AlarmExpression, AlarmExpressionTask, AlarmAttribute, AlarmDocument, AlarmType, MonitoringPoint, MonitoringPointBoundEvaluationLog, MonitoringPointParameter, MonitoringPointReading, MonitoringPointTrigger, MonitoringPointTriggerExpression, MonitoringPointTriggerExpressionAlarmType, MonitoringPointTriggerExpressionParameter, MonitoringPointTriggerExpressionEvaluation, MonitoringPointTriggerExpressionEvaluationLog, MonitoringPointType, MonitoringPointTypeParameter, MonitoringPointAttribute, MonitoringPointDocument, AuxiliaryAssetTask, AuxiliaryAssetTaskResource, AuxiliaryAssetTaskSpare, AuxiliaryAssetTaskSubTask, RegularAssetComponent, RegularAssetComponentAttribute, RegularAssetComponentDocument, RegularAssetComponentRuleEvaluationFailure, AssetComponent, AssetWarranty, PlaceholderAssetComponent, PlaceholderAssetComponentOptionValue, PlaceholderAssetComponentCondition, PlaceholderAssetMeter, PlaceholderAssetComponentRuleEvaluationFailure, RegularAssetCondition, RegularAssetActiveCondition, AssetFmeca, RegularAssetOptionValue, Asset, RegularAssetAttribute, RegularAssetDocument, RegularAssetFileAttachment, PlaceholderAsset, PlaceholderAssetAttribute, PlaceholderAssetDocument, PlaceholderAssetFileAttachment, PlaceholderAssetRuleEvaluationFailure, PlaceholderAssetResponsibility, PlaceholderAssetCondition, PlaceholderAssetActiveCondition, AssetTask, SetAssetTaskSpareWarehouseEntity, RegularAssetTask, RegularAssetTaskRuleEvaluationFailure, RegularAssetTaskAttribute, RegularAssetTaskAuxiliaryTask, RegularAssetTaskFollowUpTask, RegularAssetTaskFollowUpTaskExpression, RegularAssetTaskSuppressedTask, RegularAssetTaskResource, RegularAssetTaskResourceRuleEvaluationFailure, RegularAssetTaskSpare, RegularAssetTaskSpareRuleEvaluationFailure, RegularAssetTaskSubTask, RegularAssetTaskFileAttachment, AuxiliaryAssetTypeTask, AuxiliaryAssetTypeTaskResource, AuxiliaryAssetTypeTaskSpare, AuxiliaryAssetTypeTaskSubTask, RegularAssetTypeComponent, RegularAssetTypeComponentAttribute, RegularAssetTypeComponentDocument, AssetTypeComponent, PlaceholderAssetTypeComponent, PlaceholderAssetTypeComponentCondition, PlaceholderAssetTypeComponentAttribute, PlaceholderAssetTypeComponentDocument, PlaceholderAssetTypeComponentRuleLink, RegularAssetTypeComponentRuleLink, PlaceholderAssetComponentAttribute, PlaceholderAssetComponentDocument, PlaceholderAssetComponentActiveCondition, AssetTypeFmeca, AssetTypeFunction, AssetFunction, AssetFmecaTask, AssetTypeFmecaTask, AssetTypeFolder, RegularAssetTypeOption, AssetType, PlaceholderAssetType, PlaceholderAssetTypeSpare, PlaceholderAssetTypeAttribute, PlaceholderAssetTypeDocument, PlaceholderAssetTypeResponsibility, PlaceholderAssetTypeRuleLink, RegularAssetTypeTask, RegularAssetTypeTaskAttribute, RegularAssetTypeTaskAuxiliaryTask, RegularAssetTypeTaskCondition, RegularAssetTypeTaskDocument, RegularAssetTypeTaskFollowUpTask, RegularAssetTypeTaskFollowUpTaskExpression, AssetTypeTask, AssetTypeTaskResource, AssetTaskResource, AssetTaskSpare, AssetTypeTaskSpare, RegularAssetTypeTaskResource, RegularAssetTypeTaskRuleLink, RegularAssetTypeTaskSpare, RegularAssetTypeTaskSubTask, RegularAssetTypeTaskSuppressedTask, Condition, ConditionType, Event, FailureCause, FailureCauseType, FailureMechanism, FailureMechanismType, FailureMode, FailureModeType, InPlaceAssetMeter, InPlaceAssetAttribute, InPlaceAssetFileAttachment, InPlaceAssetRuleEvaluationFailure, InPlaceAssetResponsibility, InPlaceAssetSpare, InPlaceAssetType, InPlaceAssetTypeResponsibility, InPlaceAssetTypeRuleLink, InPlaceAssetTypeSpare, InPlaceAsset, Option, OptionCategory, RegularAsset, RegularAssetTaskDocument, RegularAssetMeter, RegularAssetResponsibility, RegularAssetMonitoringPointTrigger, RegularAssetSpare, RegularAssetTaskCondition, RegularAssetType, RegularAssetTypeAttribute, RegularAssetTypeDocument, RegularAssetTypeCondition, PlaceholderAssetTypeCondition, RegularAssetTypeRule, RegularAssetTypeResponsibility, RegularAssetTypeMonitoringPointTrigger, RegularAssetTypeSpare, RepairType, Rule, RuleCategory, RuleOption, StandardTask, StandardTaskSpare, StandardTaskSubTask, StandardTaskResource, StandardTaskAttribute, StandardTaskDocument, TaskImportance, TaskInterval, TaskIntervalType, TaskRollUpPoint, TypeOfWork, RegularAssetTypeTaskSpareRuleLink, InPlaceAssetTypeAttribute, RegularAssetTypeTaskResourceRuleLink, PlaceholderAssetSpare, RegularAssetMonitoringPointTriggerParameter, AssetSpare, AssetTypeSpare, AssetMeter, AssetConsumption, RegularAssetConsumption, PlaceholderAssetConsumption, InPlaceAssetConsumption, WarrantyType, RegularAssetTypeFileAttachment, Meter, MeterAttribute, MeterDocument, MeterReading, PredictedMeterReading, TimeLossCategory, TimeLossReason, TimeLossType, Consumable, AcquisitionStatus, AcquisitionType, DocumentFolder, DocumentRecord, DocumentRecordAttribute, FileAttachment, FileAttachmentCategory, FileAttachmentContentHistory, DocumentRecordFileHistory, Costing, CostingBudget, CostCentre, CostCentreAttribute, CostCentreDocument, CostCentreType, CostElement, CostElementAttribute, CostElementDocument, Currency, BudgetTemplate, BudgetTemplateParameter, FinancialYear, FinancialYearPeriod, GeneralLedger, GeneralLedgerAttribute, GeneralLedgerDocument, CurrencyRate, Budget, BudgetParameter, AddressType, Approval, Attribute, AttributeAllowedValue, Calendar, CalendarDay, CalendarException, CalendarDayHour, Classification, ClassificationAllowedValue, EmailType, Language, OperationalRole, OperationalRoleTemplate, OperationalRoleResource, PhoneNumberType, UserOperationalRole, UserOperationalRoleTemplate, UserOperationalRoleResource, TermsAndCondition, TermsAndConditionVersion, TermsAndConditionOperationalRole, UserTermsAndConditionVersion, Location, LocationAttribute, LocationDocument, LocalisationSet, LocalisationKey, LocalisationTranslation, Phrase, PhraseTranslation, PreconfiguredReason, Site, SiteAttribute, SiteDocument, SiteType, Supplier, SupplierFileAttachment, SupplierAttribute, SupplierDocument, SupplierContactAddress, SupplierContactEmail, SupplierContactPhoneNumber, SupplierResource, SupplierTaxRate, UnitOfMeasurement, SiteResource, SiteContactAddress, SiteContactEmail, SiteContactPhoneNumber, ChangeDataTrigger, ChangeDataTriggerOccurrenceLog, ChangeDataTriggerCriteria, NotificationTemplate, ChangeDataTriggerCriteriaParameter, ChangeDataTriggerNotificationEvent, NotificationTemplateParameter, ChangeDataTriggerNotificationEventAttachment, ChangeDataTriggerNotificationEventAttachmentParameter, RequestType, Category, Commodity, MaterialMaster, MaterialMasterAttribute, MaterialMasterDocument, MaterialMasterBin, MaterialMasterSupplier, MaterialMasterLinkWarehouse, StockItem, StockItemFileAttachment, StockItemAttribute, StockItemDocument, StockItemBin, StockItemSupplier, WarehouseAttribute, Warehouse, WarehouseDocument, Requisition, RequisitionFileAttachment, RequisitionStatus, RequisitionStatusChange, RequisitionStatusAttribute, RequisitionStatusDocument, RequisitionStatusChangeHistory, RequisitionItemTransaction, ApprovalRole, RequisitionAttribute, RequisitionDocument, RequisitionTransaction, RequisitionItem, RequisitionItemFileAttachment, UserSiteApprovalRole, ApprovalWorkflow, ApprovalWorkflowExpression, ApprovalWorkflowExpressionApprovalRole, Competency, Resource, ResourceAttribute, ResourceAddress, ResourceClassification, ResourceCompetency, ResourceDocument, ResourceEmail, ResourcePhoneNumber, ResourceTrade, ResourceTradeCompetency, ResourceTradeFinancialRate, Section, SectionAttribute, SectionDocument, SectionTrade, TradeAttribute, TradeDocument, Trade, TradeCompetency, TradeFinancialRate, ResourceContext, ResourceFileAttachment, AssetImportance, RiskConsequence, RiskConsequenceCategory, RiskModel, RiskModelConsequenceCategory, RiskModelImportance, RiskModelProbability, RiskProbability, WorkOrderImportance, WorkOrderStatus, WorkOrderStatusAttribute, WorkOrderStatusDocument, WorkOrderStatusAllowedChange, WorkOrder, WorkOrderStatusChangeHistory, WorkOrderStatusChange, WorkOrderMerge, WorkOrderSplit, WorkOrderMeter, WorkOrderAttribute, WorkOrderDocument, WorkOrderFileAttachment, WorkOrderTaskFileAttachment, WorkOrderTaskWarranty, WorkOrderTaskSpareFileAttachment, WorkOrderTask, WorkOrderTaskDocument, WorkOrderTaskAdHocCost, WorkOrderMonitoringPoint, WorkOrderTaskMonitoringPoint, WorkOrderTaskSpare, WorkOrderTaskSubTask, WorkOrderTaskResource, WorkOrderTaskResourceUsage, DueTask, DueTaskSuppressor, ProposedWorkOrderBatch, ProposedWorkOrder, ProposedWorkOrderTask, ProposedWorkOrderMeter, WorkOrderMovement, WorkOrderTaskMovement, WorkOrderTaskResourceMovement, WorkOrderTaskSpareMovement, WorkOrderTaskSubTaskMovement, WorkOrderCompleteAllTasksLog, WorkRequest, WorkRequestAttribute, WorkRequestDocument, WorkRequestStatus, WorkRequestStatusChange, WorkRequestStatusChangeHistory, WorkRequestFileAttachment, WorkOrderDowntimeLoss, WorkOrderProgressEvent, WorkOrderProgressEventAllowedChange, WorkOrderProgressLog, WorkOrderWarranty, ServiceLevelAgreementClassification, ServiceLevelAgreement, ServiceLevelAgreementMeasure, WorkOrderServiceLevelAgreement, WorkOrderServiceLevelAgreementMeasure, ServiceLevelAgreementMeasureTrigger, ServiceLevelAgreementMeasureFieldAssignment, PermissionTree, User, UserAttribute, UserDocument, UserAuthentication, SecurityRole, SecurityRolePermission, UserSecurityRole, UserCustomPermission, UserOption, BackgroundTask, BackgroundTaskStep, ScheduledBackgroundTask, ScheduledJob, UserDefinedField, UserDefinedFieldPredefinedValue, SystemOption, SystemOptionPageLimit, SystemOptionWorkOrderStatus, SystemOptionDefaultStandardTask, SystemOptionWorkOrderStatusTypeOfWork, SystemOptionReferenceDataViewPermission, SystemOptionFileAttachmentCategory, SystemOptionFileAttachmentFileType, RecordChange, RecordChangeValue, RecordChangeUser, RecordChangeProperty, NotificationEventOutbox, NotificationEventAttachmentOutbox, NotificationOutbox, NotificationOutboxLog, ChangeDataTriggerCriteriaEvaluation, SystemOptionReportServerEntity, SystemOptionReportServerEntityDefaultReport, TemplateMigrationLog, TemplateMigrationLogIntent, ResourceActionMigrationLog, ImportSchema, ImportFile, UserDefinedQuery, ResourceActionCustomisation, TemplateCustomisation, TemplateResource, ClusterSettings, ClusterIdentityProviderSettings, MessageBrokerHost, MessageBrokerTopic, MessageBrokerTopicConsumer, TenantSettings, TenantChangeDataSubscriptionSettings, TenantIdentityProviderSettings, TenantJobSettings, TenantFileContentStoreLocationSettings, TenantFileContentStoreFileTypeGroupSettings, TenantFileContentStoreFileTypeSettings, ClusterFeatureToggle, TenantFeatureToggle, TenantHealthCheck, TenantMachineHealthCheck, ClusterHealthCheck, ClusterMachineHealthCheck, ClusterCapacitySlot, TenantChangeLogCleanupExpressionSettings, ClusterJobSettings, Ignore]) | enum |\r\n\r\n#### Business Rules\r\n\r\nThe following business rules apply to the properties:\r\n\r\n| Property | Rule | Value | Condition |\r\n| ---- | :----: | :----: | :----: |\r\n| reason | Required | True |  |\r\n| reason | Nullable | False |  |\r\n\r\n",
        "operationId": "ExecuteDelayedSideEffectJobs",
        "consumes": [
          "application/vnd.onkey.entitycollection+json"
        ],
        "produces": [
          "application/vnd.onkey.notification+json"
        ],
        "parameters": [
          {
            "name": "posts",
            "in": "body",
            "required": true,
            "description": "Request Body content",
            "schema": {
              "$ref": "#/definitions/ExecuteDelayedSideEffectJobsResourceActionRequest"
            }
          }
        ],
        "responses": {
          "204": {
            "x-nullable": true,
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "x-nullable": true,
            "description": "Error response - operation failed"
          }
        }
      }
    },
    "/Modules/SYSTEM/Entities/{entityType}/DefaultReports": {
      "post": {
        "tags": [
          "Entities"
        ],
        "summary": "Calculate default reports",
[...]
